Method: projects.locations.instances.patch

Updates the parameters of a single Instance.

HTTP request

PATCH https://mpc.googleapis.com/v1beta/{instance.name=projects/*/locations/*/instances/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
instance.name

string

Identifier. The resource name of the instance. Format: projects/{project}/locations/{location}/instances/{instance} It takes the form projects/{project}/locations/{location}/instances/{instance}.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. Field mask is used to specify the fields to be overwritten in the Instance resource by the update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

requestId

string

Optional. An optional request ID to identify requests. Must be a valid UUID4.

Request body

The request body contains an instance of Instance.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.